aboutsummaryrefslogtreecommitdiffstats
path: root/community/biboumi/biboumi.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/biboumi/biboumi.initd')
-rw-r--r--community/biboumi/biboumi.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/community/biboumi/biboumi.initd b/community/biboumi/biboumi.initd
new file mode 100644
index 00000000000..759bde29408
--- /dev/null
+++ b/community/biboumi/biboumi.initd
@@ -0,0 +1,22 @@
+#!/sbin/openrc-run
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+description="XMPP gateway to IRC"
+pidfile="/var/run/biboumi.pid"
+command="/usr/bin/biboumi"
+command_args="${BIBOUMI_CONFIG:-/etc/biboumi/biboumi.cfg}"
+command_user="${BIBOUMI_USER:-biboumi}"
+command_background="true"
+capabilities="^cap_net_bind_service"
+extra_commands="reload"
+
+depend() {
+ use jabber-server
+}
+
+reload() {
+ ebegin "Reloading configuration of Biboumi"
+ start-stop-daemon --pidfile ${pidfile} --signal USR1
+ eend $?
+}